Seedance 2.5 视频生成
curl --request POST \
--url https://tokener.jeekmind.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gxc-doubao-seedance-2-5-260628",
"prompt": "清晨湖面,一只纸船缓缓漂行",
"seconds": 4,
"resolution": "720p",
"aspect_ratio": "16:9"
}
'import requests
url = "https://tokener.jeekmind.com/v1/videos"
payload = {
"model": "gxc-doubao-seedance-2-5-260628",
"prompt": "清晨湖面,一只纸船缓缓漂行",
"seconds": 4,
"resolution": "720p",
"aspect_ratio": "16:9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gxc-doubao-seedance-2-5-260628',
prompt: '清晨湖面,一只纸船缓缓漂行',
seconds: 4,
resolution: '720p',
aspect_ratio: '16:9'
})
};
fetch('https://tokener.jeekmind.com/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tokener.jeekmind.com/v1/videos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'gxc-doubao-seedance-2-5-260628',
'prompt' => '清晨湖面,一只纸船缓缓漂行',
'seconds' => 4,
'resolution' => '720p',
'aspect_ratio' => '16:9'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tokener.jeekmind.com/v1/videos"
payload := strings.NewReader("{\n \"model\": \"gxc-doubao-seedance-2-5-260628\",\n \"prompt\": \"清晨湖面,一只纸船缓缓漂行\",\n \"seconds\": 4,\n \"resolution\": \"720p\",\n \"aspect_ratio\": \"16:9\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://tokener.jeekmind.com/v1/videos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"gxc-doubao-seedance-2-5-260628\",\n \"prompt\": \"清晨湖面,一只纸船缓缓漂行\",\n \"seconds\": 4,\n \"resolution\": \"720p\",\n \"aspect_ratio\": \"16:9\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tokener.jeekmind.com/v1/videos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"gxc-doubao-seedance-2-5-260628\",\n \"prompt\": \"清晨湖面,一只纸船缓缓漂行\",\n \"seconds\": 4,\n \"resolution\": \"720p\",\n \"aspect_ratio\": \"16:9\"\n}"
response = http.request(request)
puts response.read_body{
"id": "video_example",
"object": "video",
"model": "gxc-doubao-seedance-2-5-260628",
"status": "queued",
"progress": 0,
"created_at": 1793851200
}GXC
Seedance 2.5
使用 JSON 提交异步视频任务。视频选项字段名为 matadata;resolution 缺省为 720p。
POST
/
v1
/
videos
Seedance 2.5 视频生成
curl --request POST \
--url https://tokener.jeekmind.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gxc-doubao-seedance-2-5-260628",
"prompt": "清晨湖面,一只纸船缓缓漂行",
"seconds": 4,
"resolution": "720p",
"aspect_ratio": "16:9"
}
'import requests
url = "https://tokener.jeekmind.com/v1/videos"
payload = {
"model": "gxc-doubao-seedance-2-5-260628",
"prompt": "清晨湖面,一只纸船缓缓漂行",
"seconds": 4,
"resolution": "720p",
"aspect_ratio": "16:9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gxc-doubao-seedance-2-5-260628',
prompt: '清晨湖面,一只纸船缓缓漂行',
seconds: 4,
resolution: '720p',
aspect_ratio: '16:9'
})
};
fetch('https://tokener.jeekmind.com/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tokener.jeekmind.com/v1/videos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'gxc-doubao-seedance-2-5-260628',
'prompt' => '清晨湖面,一只纸船缓缓漂行',
'seconds' => 4,
'resolution' => '720p',
'aspect_ratio' => '16:9'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tokener.jeekmind.com/v1/videos"
payload := strings.NewReader("{\n \"model\": \"gxc-doubao-seedance-2-5-260628\",\n \"prompt\": \"清晨湖面,一只纸船缓缓漂行\",\n \"seconds\": 4,\n \"resolution\": \"720p\",\n \"aspect_ratio\": \"16:9\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://tokener.jeekmind.com/v1/videos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"gxc-doubao-seedance-2-5-260628\",\n \"prompt\": \"清晨湖面,一只纸船缓缓漂行\",\n \"seconds\": 4,\n \"resolution\": \"720p\",\n \"aspect_ratio\": \"16:9\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tokener.jeekmind.com/v1/videos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"gxc-doubao-seedance-2-5-260628\",\n \"prompt\": \"清晨湖面,一只纸船缓缓漂行\",\n \"seconds\": 4,\n \"resolution\": \"720p\",\n \"aspect_ratio\": \"16:9\"\n}"
response = http.request(request)
puts response.read_body{
"id": "video_example",
"object": "video",
"model": "gxc-doubao-seedance-2-5-260628",
"status": "queued",
"progress": 0,
"created_at": 1793851200
}提交后,使用返回的
id 查询视频任务,完成后下载视频。Authorizations
技元 API 密钥
Body
application/json
模型调用名
Allowed value:
"gxc-doubao-seedance-2-5-260628"Minimum string length:
1Pattern:
\S非空且不能仅包含空白字符的视频描述
Minimum string length:
1Pattern:
\S输出视频时长,单位为秒
Required range:
4 <= x <= 30输出视频分辨率
Available options:
720p, 1080p 画面比例
Available options:
16:9, 9:16, 1:1, 21:9, 4:3, 3:4 参考图片 URL
Maximum array length:
30生成期间持续可访问的 HTTP(S) URL
Pattern:
^https?://参考视频 URL
Maximum array length:
10生成期间持续可访问的 HTTP(S) URL
Pattern:
^https?://参考音频 URL
Maximum array length:
10生成期间持续可访问的 HTTP(S) URL
Pattern:
^https?://视频生成选项
Show child attributes
Show child attributes
Response
200 - application/json
视频任务对象
标准视频任务对象。保存 id,用于查询任务和下载视频。
网关公开任务 ID,用于后续查询和下载
Allowed value:
"video"客户端请求的模型名称
Available options:
queued, in_progress, completed, failed, unknown 宿主将内部进度字符串转换为整数,解析失败时为 0
任务创建时间,Unix 秒级时间戳
完成时间,Unix 秒级时间戳;创建响应中未完成时省略